From: aldot at uclibc.org <aldot@uclibc.org>
To: buildroot@busybox.net
Subject: [Buildroot] svn commit: trunk/buildroot/toolchain/dependencies
Date: Wed, 29 Nov 2006 02:39:30 -0800 (PST) [thread overview]
Message-ID: <20061129103930.E07C04856B@busybox.net> (raw)
Author: aldot
Date: 2006-11-29 02:39:30 -0800 (Wed, 29 Nov 2006)
New Revision: 16714
Log:
- move check for which(1) before it's first use
- fix printing a message when erroring out on non-existing HOSTCC
Modified:
trunk/buildroot/toolchain/dependencies/dependencies.sh
Changeset:
Modified: trunk/buildroot/toolchain/dependencies/dependencies.sh
===================================================================
--- trunk/buildroot/toolchain/dependencies/dependencies.sh 2006-11-29 10:23:54 UTC (rev 16713)
+++ trunk/buildroot/toolchain/dependencies/dependencies.sh 2006-11-29 10:39:30 UTC (rev 16714)
@@ -1,6 +1,5 @@
#!/bin/sh
-set -e
#set -x
echo ""
@@ -31,6 +30,19 @@
#############################################################
#
+# check build system 'which'
+#
+#############################################################
+if ! which which > /dev/null ; then
+ echo "which installed: FALSE"
+ echo -e "\n\nYou must install 'which' on your build machine\n";
+ exit 1;
+fi;
+echo "which installed: Ok"
+
+
+#############################################################
+#
# check build system 'make'
#
#############################################################
@@ -64,12 +76,13 @@
COMPILER=$(which $HOSTCC)
if [ -z "$COMPILER" ] ; then
COMPILER=$(which cc)
- if [ -z "$COMPILER" ] ; then
- echo "gcc installed: FALSE"
- echo -e "\n\nYou must install 'gcc' on your build machine\n";
- exit 1;
- fi;
fi;
+if [ -z "$COMPILER" ] ; then
+ echo "C Compiler installed: FALSE"
+ echo -e "\n\nYou must install 'gcc' on your build machine\n";
+ exit 1;
+fi;
+
COMPILER_VERSION=$($COMPILER --version 2>&1 | head -n1 | $XSED -e 's/^.*(.CC) \([0-9\.]\)/\1/g' -e "s/[-\ ].*//g")
if [ -z "$COMPILER_VERSION" ] ; then
echo "gcc installed: FALSE"
@@ -82,26 +95,13 @@
echo "You have gcc '$COMPILER_VERSION' installed. gcc >= 2.95 is required"
exit 1;
fi;
-echo "gcc version '$COMPILER_VERSION': Ok"
+echo "C compiler '$COMPILER'"
+echo "C compiler version '$COMPILER_VERSION': Ok"
-
#############################################################
#
-# check build system 'which'
-#
-#############################################################
-if ! which which > /dev/null ; then
- echo "which installed: FALSE"
- echo -e "\n\nYou must install 'which' on your build machine\n";
- exit 1;
-fi;
-echo "which installed: Ok"
-
-
-#############################################################
-#
# check build system 'bison'
#
#############################################################
next reply other threads:[~2006-11-29 10:39 UTC|newest]
Thread overview: 32+ messages / expand[flat|nested] mbox.gz Atom feed top
2006-11-29 10:39 aldot at uclibc.org [this message]
-- strict thread matches above, loose matches on Subject: below --
2009-01-01 21:20 [Buildroot] svn commit: trunk/buildroot/toolchain/dependencies jacmet at uclibc.org
2008-09-04 2:30 hamish at uclibc.org
2008-06-18 13:11 jacmet at uclibc.org
2007-08-21 20:14 aldot at uclibc.org
2007-08-21 20:12 ` Ulf Samuelsson
2007-08-21 20:25 ` Bernhard Fischer
2007-08-21 20:58 ` Ulf Samuelsson
2007-08-21 23:13 ` Bernhard Fischer
2007-08-22 3:46 ` Ulf Samuelsson
2007-06-26 13:26 aldot at uclibc.org
2007-06-05 7:38 aldot at uclibc.org
2007-05-11 12:50 aldot at uclibc.org
2007-03-21 18:15 aldot at uclibc.org
2007-03-21 10:54 aldot at uclibc.org
2007-03-12 8:55 aldot at uclibc.org
2007-03-08 16:44 aldot at uclibc.org
2007-02-16 9:34 aldot at uclibc.org
2007-02-15 14:30 aldot at uclibc.org
2007-02-15 14:07 aldot at uclibc.org
2007-02-12 10:42 aldot at uclibc.org
2007-02-09 17:28 aldot at uclibc.org
2007-02-09 12:32 aldot at uclibc.org
2007-01-21 22:31 aldot at uclibc.org
2007-01-20 13:06 aldot at uclibc.org
2007-01-19 17:11 aldot at uclibc.org
2006-12-13 9:17 aldot at uclibc.org
2006-12-13 7:25 andersen at uclibc.org
2006-12-13 7:21 andersen at uclibc.org
2006-11-28 10:06 aldot at uclibc.org
2006-07-18 16:54 andersen
2006-07-18 16:42 andersen
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20061129103930.E07C04856B@busybox.net \
--to=aldot@uclibc.org \
--cc=buildroot@busybox.net \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox